Subject: Re: bug#13863: 24.2; Cursor position after after-string on overlay at point-max

From: Stefan Monnier <[email-masked]>
Date: Mon, 04 Mar 2013 16:43:07 -0500

> Normally I'd say that something always having been like that, is not a
> good argument against fixing unintuitive and buggy behavior.  However, in
> the case of Emacs and its exceedingly large code base and dependents, I
> see greater value in backwards compatibility.

Actually, I don't think backward compatibility is a big issue in this
case.  The more real problem is that it's difficult to fix: IIRC last
time I looked at this code, at the point where the cursor is displayed,
we don't have easy access to the needed info (we have access to the
sequence of displayed chars, and their provenance, but their provenance
only says "this (after) string" without any reference to the
corresponding overlay).

        Stefan